$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url   = 'https://github.com/qjfoidnh/BaiduPCS-Go/releases/download/v3.9.4/BaiduPCS-Go-v3.9.4-windows-x86.zip'
$url64 = 'https://github.com/qjfoidnh/BaiduPCS-Go/releases/download/v3.9.4/BaiduPCS-Go-v3.9.4-windows-x64.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64
  checksum      = '105775665eea97822e80a38e9e215a5dcb7620e994e127ad49d5304338ab859f'
  checksumType  = 'sha256'
  checksum64    = 'ffa94c4a5e0f0b14d9470dea85869607a61e8b97d065db393f43d74a8fd3c8e9'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs